<?php

/*
 * This file is part of the Symfony package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * Modified by Clifton Griffin on 10-February-2025 using {@see https://github.com/BrianHenryIE/strauss}.
 */

namespace CheckoutWC\Symfony\Component\Lock\Exception;

use CheckoutWC\Symfony\Component\Lock\Lock;

/**
 * LockConflictedException is thrown when a lock is acquired by someone else.
 *
 * In non-blocking mode it is caught by {@see Lock::acquire()} and {@see Lock::acquireRead()}.
 *
 * @author Jérémy Derussé <jeremy@derusse.com>
 */
class LockConflictedException extends \RuntimeException implements ExceptionInterface
{
}
